window.Gleam.initSearch([{"doc":"glenvy","title":"glenvy","content":"# glenvy\n\n[![Package Version](https://img.shields.io/hexpm/v/glenvy)](https://hex.pm/packages/glenvy)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glenvy/)\n\n🏞️ A pleasant way to interact with your environment.\n\n## Installation\n\n```sh\ngleam add glenvy\n```\n\n## Usage\n\n```gleam\nimport gleam/io\nimport gleam/result.{try}\nimport glenvy/dotenv\nimport glenvy/env\n\npub fn main() {\n  let _ = dotenv.load()\n\n  use hello &lt;- try(env.get_string(&quot;HELLO&quot;))\n\n  io.println(&quot;HELLO=&quot; &lt;&gt; hello)\n\n  Ok(Nil)\n}\n```\n\n## Targets\n\n`glenvy` supports both targets: Erlang and JavaScript.\n","url":"index.html"},{"doc":"glenvy/error","title":"Error","content":"pub type Error {\n  Io(message: String)\n}\n An error that occurred while reading a `.env` file.\nIo(message: String)\n An IO error.\n\nSynonyms:\nglenvy/error.Error\nglenvy/error Error","url":"glenvy/error.html#Error"},{"doc":"glenvy/error","title":"glenvy/error","content":"","url":"glenvy/error.html"},{"doc":"glenvy/dotenv","title":"load","content":"pub fn load() -&gt; Result(Nil, Error)\n Loads the `.env` file.\nSynonyms:\nglenvy/dotenv.load\nglenvy/dotenv load","url":"glenvy/dotenv.html#load"},{"doc":"glenvy/dotenv","title":"load_from","content":"pub fn load_from(path filepath: String) -&gt; Result(Nil, Error)\n Loads the file at the specified path as a `.env` file.\nSynonyms:\nglenvy/dotenv.load_from\nglenvy/dotenv load_from","url":"glenvy/dotenv.html#load_from"},{"doc":"glenvy/dotenv","title":"glenvy/dotenv","content":" Support for `.env` files.","url":"glenvy/dotenv.html"},{"doc":"glenvy/env","title":"get","content":"pub fn get(\n  name: String,\n  parser parse: fn(String) -&gt; Result(a, Nil),\n) -&gt; Result(a, Nil)\n Returns the value for the environment variable with the given name.\n\n Uses the provided `parser` to parse the value.\n\n Returns `Error(Nil)` if the provided `parser` returns `Error(Nil)`.\nSynonyms:\nglenvy/env.get\nglenvy/env get","url":"glenvy/env.html#get"},{"doc":"glenvy/env","title":"get_bool","content":"pub fn get_bool(name: String) -&gt; Result(Bool, Nil)\n Returns the value for the environment variable with the given name as a `Bool`.\n\n The following values are parsed as `True`:\n - `true`\n - `t`\n - `yes`\n - `y`\n - `1`\n\n The following values are pased as `False`:\n - `false`\n - `f`\n - `no`\n - `n`\n - `0`\n\n The parsing is case-insensitive.\n\n Returns `Error(Nil)` if the environment variable cannot be parsed as a `Bool`.\n\n Use `get` if you want to provide your own parser.\nSynonyms:\nglenvy/env.get_bool\nglenvy/env get_bool","url":"glenvy/env.html#get_bool"},{"doc":"glenvy/env","title":"get_float","content":"pub fn get_float(name: String) -&gt; Result(Float, Nil)\n Returns the value for the environment variable with the given name as a `Float`.\n\n Returns `Error(Nil)` if the environment variable cannot be parsed as a `Float`.\nSynonyms:\nglenvy/env.get_float\nglenvy/env get_float","url":"glenvy/env.html#get_float"},{"doc":"glenvy/env","title":"get_int","content":"pub fn get_int(name: String) -&gt; Result(Int, Nil)\n Returns the value for the environment variable with the given name as an `Int`.\n\n Returns `Error(Nil)` if the environment variable cannot be parsed as an `Int`.\nSynonyms:\nglenvy/env.get_int\nglenvy/env get_int","url":"glenvy/env.html#get_int"},{"doc":"glenvy/env","title":"get_string","content":"pub fn get_string(name: String) -&gt; Result(String, Nil)\n Returns the value for the environment variable with the given name as a `String`.\nSynonyms:\nglenvy/env.get_string\nglenvy/env get_string","url":"glenvy/env.html#get_string"},{"doc":"glenvy/env","title":"glenvy/env","content":" Strongly-typed access to environment variables.","url":"glenvy/env.html"}]);